package com.fjhx.xmhjc.mapper.column;

import com.fjhx.xmhjc.entity.column.po.ColumnMenu;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.column.vo.ColumnMenuVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 栏目菜单表 Mapper 接口
 * </p>
 *
 * @author lqh
 * @since 2023-11-15
 */
public interface ColumnMenuMapper extends BaseMapper<ColumnMenu> {

    /**
     * 栏目菜单表列表
     */
    Page<ColumnMenuVo> getList(@Param("ew") IWrapper<ColumnMenu> wrapper);
    /**
     * 栏目菜单表分页
     */
    Page<ColumnMenuVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ColumnMenu> wrapper);

}
