package com.fjhx.xmhjc.service.column;

import com.fjhx.xmhjc.entity.column.po.ColumnMenuSub;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.column.vo.ColumnMenuSubVo;
import com.fjhx.xmhjc.entity.column.dto.ColumnMenuSubSelectDto;
import com.fjhx.xmhjc.entity.column.dto.ColumnMenuSubDto;

import java.util.List;


/**
 * <p>
 * 栏目-子栏目 服务类
 * </p>
 *
 * @author lqh
 * @since 2023-11-15
 */
public interface ColumnMenuSubService extends BaseService<ColumnMenuSub> {

    List<ColumnMenuSubVo> getList(ColumnMenuSubSelectDto dto);

    /**
     * 栏目-子栏目分页
     */
    Page<ColumnMenuSubVo> getPage(ColumnMenuSubSelectDto dto);

    /**
     * 栏目-子栏目明细
     */
    ColumnMenuSubVo detail(Long id);

    /**
     * 栏目-子栏目新增
     */
    void add(ColumnMenuSubDto columnMenuSubDto);

    /**
     * 栏目-子栏目编辑
     */
    void edit(ColumnMenuSubDto columnMenuSubDto);

    /**
     * 栏目-子栏目删除
     */
    void delete(Long id);

}
