package com.fjhx.xmhjc.service.column;

import com.fjhx.xmhjc.entity.column.po.ColumnMenu;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.column.vo.ColumnMenuVo;
import com.fjhx.xmhjc.entity.column.dto.ColumnMenuSelectDto;
import com.fjhx.xmhjc.entity.column.dto.ColumnMenuDto;


/**
 * <p>
 * 栏目菜单表 服务类
 * </p>
 *
 * @author lqh
 * @since 2023-11-15
 */
public interface ColumnMenuService extends BaseService<ColumnMenu> {

    /**
     * 栏目菜单表分页
     */
    Page<ColumnMenuVo> getPage(ColumnMenuSelectDto dto);

    /**
     * 栏目菜单表明细
     */
    ColumnMenuVo detail(Long id);

    /**
     * 栏目菜单表新增
     */
    void add(ColumnMenuDto columnMenuDto);

    /**
     * 栏目菜单表编辑
     */
    void edit(ColumnMenuDto columnMenuDto);

    /**
     * 栏目菜单表删除
     */
    void delete(Long id);

}
